---
title: NetworkInformation.onchange
slug: Web/API/NetworkInformation/onchange
tags:
  - API
  - Event Handler
  - Experimental
  - Network Information API
  - NetworkInformation
  - Property
  - Reference
---
<p>{{apiref("Network Information API")}}{{SeeCompatTable}}</p>

<p>The <strong><code>NetworkInformation.onchange</code></strong> event handler contains the code that is fired when connection information changes, and the {{event("change")}} is received by the {{domxref("NetworkInformation")}} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>netInfo</em>.onchange = function() { ... }
</pre>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">// Get the connection type.
var type = navigator.connection.type;

function changeHandler(e) {
   // Handle change of connection type here.
}

// Register for event changes:
navigator.connection.onchange = changeHandler;

// Another way: navigator.connection.addEventListener('change', changeHandler);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Network Information','#dom-networkinformation-onchange','onchange')}}</td>
   <td>{{Spec2('Network Information')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.NetworkInformation.onchange")}}</p>
